Name:          gcrm
Version:       3.2.0
Release:       1%{?dist}
Summary:       UPenn Git Central Repository Monitor

Group:         System Environment/Daemons
License:       LicenseRef-UPenn-GCRM
URL:           http://www.isc.upenn.edu
Source0:       https://repo.net.isc.upenn.edu/distfiles/%{name}-%{version}.tar.gz

BuildArch:     noarch
%if 0%{?rhel} == 9
%define __python %{__python3}
BuildRequires: python3-devel
BuildRequires: python3-rpm-macros
%endif
Requires:      cronie
%if 0%{?rhel} < 9
Requires:      mailx
%else
Requires:      s-nail
%endif

Obsoletes:     python-%{name} < %{version}-%{release}

%description
The UPenn Git Central Repository Monitor is a script that runs nightly,
analyzes the main directory tree where Git repositories are stored, and
reports changes and non-compliant settings.

%prep
%setup -q

%build
%{__sed} -i \
    -e "s,^DEFAULT_RECDIR =.*,DEFAULT_RECDIR = '%{_sharedstatedir}/%{name}'," \
    -e "s,^DEFAULT_GIT_CONFIG =.*,DEFAULT_GIT_CONFIG = '%{_sysconfdir}/gitconfig-%{name}'," \
    gcrm.py
%{__sed} -ie "s,^GCRM=.*,GCRM=%{_libexecdir}/%{name}," gcrm

%if 0%{?rhel} == 9
%py3_shebang_fix gcrm.py
%endif

%install
install -Dm 0755 gcrm.py %{buildroot}%{_libexecdir}/%{name}
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
install -Dm 0644 gcrm %{buildroot}%{_sysconfdir}/cron.d/%{name}
install -m 0644 gitconfig %{buildroot}%{_sysconfdir}/gitconfig-%{name}

%files
%defattr(-,root,root,-)
%{_libexecdir}/%{name}
%dir %{_sharedstatedir}/%{name}
%doc README.UPENN
%if 0%{?rhel} < 7
%doc LICENSE
%else
%license LICENSE
%endif
%config(noreplace) %{_sysconfdir}/cron.d/gcrm
%config(noreplace) %{_sysconfdir}/gitconfig-%{name}

%changelog
* Tue Apr 9 2024 John W. O'Brien <obrienjw@upenn.edu> - 3.2.0-1
- Port to Python 3 on RHEL 9

* Mon Apr 8 2024 John W. O'Brien <obrienjw@upenn.edu> - 3.1.1-2
- Adopt standard directory locations
- Add license
- Replace unless_empty dependency with mailx
